# Method: accounts.reconciliationReports.list

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.ListReconciliationReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#body.aspect)

Returns a list of the names of created reconciliation reports.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/reconciliationReports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `startDate` | `string` Beginning of date range to fetch files for. Format is yyyy-MM-dd\[THH\[:mm\[:SS\]\]\]. If empty, reports from the beginning of time onwards are fetched. |
| `endDate` | `string` End of date range to fetch files for. Format is yyyy-mm-dd\[THH\[:MM\[:SS\]\]\]. If empty, reports until the end of time are fetched. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/list#google.travel.travelpartner.v3.ReconciliationReportService.ListReconciliationReports`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reconciliationReports": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports#ReconciliationReport`) } ] } ``` |

| Fields ||
|---|---|
| `reconciliationReports[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports#ReconciliationReport`)`` The list of names of reconciliation reports. Note that the `contents` and `fileName` fields of each `ReconciliationReport` object are not returned by this call. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).